<html devsite><head>
    <title>USB 耳机：配件规范</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>
本文档详细说明了 USB 耳机的一些特性，以使其在整个 Android 生态系统中保持一致。只允许制造带数字 USB 音频接口的耳机。根据 USB C 型规范，不允许制造带 USB C 型转接头的纯模拟耳机。
</p>
<p>
本文档给出的是最低要求，我们鼓励配件制造商在满足这些要求的基础上添加新的功能。
</p>

<h2 id="functional-overview">功能概览</h2>
<p>
USB 耳机可以实现多种基本功能和高级功能。本规范只涵盖必要的基本功能：</p>
<ul>
 <li>立体声输出</li>
 <li>麦克风（可选，但建议支持）</li>
 <li>用于控制音量、播放和通话的功能按钮</li>
</ul>

<h2 id="control-function">控制功能</h2>
<p>耳机可以带有不同数量的按钮以控制特定功能（例如音量和播放/暂停）。</p><p>
<table>
  <tbody><tr>
   <th>控制功能</th>
   <th>配件支持</th>
   <th>说明</th>
  </tr>
  <tr>
   <td>A</td>
   <td>必需</td>
   <td>播放/暂停（短按）、启动语音命令（长按）、下一曲（按两下）</td>
  </tr>
  <tr>
   <td>B</td>
   <td>可选</td>
   <td>调高音量</td>
  </tr>
  <tr>
   <td>C</td>
   <td>可选</td>
   <td>调低音量</td>
  </tr>
  <tr>
   <td>D</td>
   <td>可选</td>
   <td>启动语音命令</td>
  </tr>
</tbody></table>
</p><p>
<strong>按钮功能分配如下：</strong>
</p>
<ul>
  <li>所有单按钮耳机都必须实现功能 A。</li>
  <li>多按钮耳机必须按照以下模式实现相关功能：
    <ul>
      <li>2 项功能：A 和 D</li>
      <li>3 项功能：A、B、C</li>
      <li>4 项功能：A、B、C、D</li>
    </ul>
  </li>
</ul>
<p class="note">
<strong>注意</strong>：不允许按键锁定。最终用户每次按键时都必须生成相应的“按下”和“释放”按键事件，与最终用户的操作相匹配。换句话说，功能 A 到功能 D 所对应的按键一律不能被“锁定”，也不能用作切换开关（在这种情况下，当生成“按下”按键事件后，第二次按下按键时才会生成“释放”按键事件）。
</p>
<h2 id="software-mapping">软件映射</h2>
<p>
兼容的 USB 耳机需要支持耳机按钮的以下软件映射。设备会将这些 HID 映射与相应的 Android 键码相匹配。
</p>

<table>
  <tbody><tr>
   <th>功能</th>
   <th>映射</th>
  </tr>
  <tr>
   <td>A</td>
   <td>HID 用途页：0x0C<br />HID 用途：0x0CD</td>
  </tr>
  <tr>
   <td>B</td>
   <td>HID 用途页：0x0C<br />HID 用途：0x0E9</td>
  </tr>
  <tr>
   <td>C</td>
   <td>HID 用途页：0x0C<br />HID 用途：0x0EA</td>
  </tr>
  <tr>
   <td>D</td>
   <td>HID 用途页：0x0C<br />HID 用途：0x0CF</td>
  </tr>
</tbody></table>

<p class="note">按键映射应在 HID 应用集合中声明。对于不带麦克风的配件，请使用耳机（用途页：消费者 (0x0C)，用途：耳机 (0x05)）。对于带有麦克风的配件，请使用耳麦（用途页：电话 (0x0B)，用途：耳麦 (0x05)）。</p>

<h2 id="output-level">输出级别</h2>
<p>声压级上限应符合目标国家/地区的所有监管要求。
</p>

<h2 id="mechanical">机械</h2>
<p>
配件制造商必须遵循 <a href="http://www.usb.org/">USB.org</a> 的规定中对 USB 连接器的要求。
</p>

</body></html>